package dao;

import com.tecgraf.dao.FacadeJPA;
import com.tecgraf.dao.GenericDAOJPA;
import negocio.Disciplina;

/**
 * Singleton DisciplinaDAO
* 
* 
 * @author Ismael H F Santos
 */
public class DisciplinaDAO extends GenericDAOJPA<Disciplina, Integer> {
    //--------------------------------------------------  
    // Public methods
    //--------------------------------------------------  
    public static synchronized DisciplinaDAO getInstance( FacadeJPA f ) {
        if( instance == null ) {
            instance = new DisciplinaDAO(f);
        }
        return instance;
    }
    //--------------------------------------------------  
    // Private constructor
    //--------------------------------------------------  
    private DisciplinaDAO( FacadeJPA f ) {
        super(Disciplina.class, f);
    }
    //--------------------------------------------------  
    // Private atributes
    //--------------------------------------------------  
    private static DisciplinaDAO instance;
    
}
